/**
 * 回访试题管理
 * */
var Cids; //试题题目id
var Left_CategoryName; //试题题目名称
var Left_Cids; //试题选项id
var $tableLeft = $('#tbr');
var $tableLeft1 = $('#tb1');
var token = $.cookie("token");

$(document).ready(function() {
	IndexCategoryGe();
	//所有试题选项
	$(".rightAll").click(function() {
		Finish();

	});
	//搜索功能
	$("#sc_btns").click(function() {
		Finish();
	});
});

////左边表格
/*获取选中行对象*/
$tableLeft1.on("click-row.bs.table", function(e, row, ele) {
	$('#tb1 .success').removeClass('success'); //去除之前选中的行的，选中样式
	$(ele).addClass('success'); //添加当前选中的 success样式用于区别
	Left_Cids = row.Id; //分类ID
	Left_CategoryName = row.Title; //分类名称
	Finish(); //右边列表
});
//获取试题题目列表	    ///左边列表
function IndexCategoryGe() {
	//销毁表格
	$tableLeft1.bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$tableLeft1.bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "QuestionAnswer/GetList",
		contentType: 'application/x-www-form-urlencoded',
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 5, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [5, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				page: params.pageNumber, //是	int	当前页
				pagesize: params.pageSize, //是	int	每页数
				//title	//是	string	名称
				//parentid	//是	int	父级id
				token: token
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//								layer.msg("加载成功");
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}

//删除左边删除
$('.leftDelete').click(function() {
	if(Left_Cids) {
		layer.confirm('确定删除当前记录？', {
			icon: 7,
			btn: ['是', '否'] //按钮
		}, function() {
			DelIndexCategory();
		});
	} else {
		layer.msg('没有可删除的选项！');
	}
})
//删除功能
function DelIndexCategory() {
	$.ajax({
		type: "get",
		url: huayi.config.callcenter_url + "QuestionAnswer/Delete",
		dataType: 'json',
		data: {
			ids: Left_Cids,
			token: token
		},
		async: true,
		success: function(data) {
			$tableLeft1.bootstrapTable('refresh');
			layer.msg("删除成功");
		}
	});
}
///左边修改功能
$(".leftChange ").click(function() {
	if(Left_Cids) {
		layer.prompt({
			title: '修改试题题目',
			value: Left_CategoryName,
			formType: 0,
		}, function(names, index) {
			$.post(huayi.config.callcenter_url + "QuestionAnswer/Update", {
				Id: Left_Cids, //	是	string	id
				Title: names, //	是	string	名称
				token: token
			}, function(data) {
				data = JSON.parse(data);
				if(data.state == "success") {
					layer.close(index);
					$tableLeft1.bootstrapTable('refresh');
					layer.msg("试题题目修改成功！");
				}
			});

		});
	} else {
		layer.msg('没有可修改的选项！');
	}
})

//增加
$(".leftAdd").click(function() {
	layer.prompt({
		title: '添加试题题目',
		formType: 0,
	}, function(names, index) {
		$.post(huayi.config.callcenter_url + "QuestionAnswer/Add", {
			Title: names, //是	string	名称
			token: token
		}, function(data) {
			data = JSON.parse(data);
			if(data.state == "success") {
				layer.close(index);
				$tableLeft1.bootstrapTable('refresh');
				layer.msg("添加试题题目成功");
			}
		});

	});
});

/////////////////////////右边表格
function Finish() {
	//销毁表格
	$tableLeft.bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$tableLeft.bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "QuestionAnswer/GetList",
		contentType: 'application/x-www-form-urlencoded',
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 5, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [5, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				page: params.pageNumber, //是	int	当前页
				pagesize: params.pageSize, //是	int	每页数
				title: $("#KeyWords").val(), //是	string	名称
				parentid: Left_Cids, //是	int	父级id
				token: token,
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//								layer.msg("加载成功");
			$('.table_right').show();
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}

/*获取选中行对象*/
$tableLeft.on("click-row.bs.table", function(e, row, ele) {
	$('#tbr .success').removeClass('success'); //去除之前选中的行的，选中样式
	$(ele).addClass('success'); //添加当前选中的 success样式用于区别
	Cids = row.Id; //试题ID
});
//增加
$(".rightAdd").click(function() {
	layer.open({
		type: 2,
		content: "template/addOrEditQuestions.html?lid=" + Left_Cids, //iframe的url，no代表不显示滚动条
		title: '添加试题选项',
		area: ['60%', '50%'], //宽高
	});

})
//修改功能
$(".rightChange ").click(function() {
	if(Cids) {
		layer.open({
			type: 2,
			content: "template/addOrEditQuestions.html?edit_id=" + Cids, //iframe的url，no代表不显示滚动条
			title: '修改试题选项',
			area: ['60%', '50%'], //宽高
		});

	} else {
		layer.msg('没有可修改的选项！');
	}
})
//删除
$('.rightDelete').click(function() {
	if(Cids) {
		layer.confirm('确定删除当前记录？', {
			icon: 7,
			btn: ['是', '否'] //按钮
		}, function() {
			Delet();
		});
	} else {
		layer.msg('没有可删除的选项！');

	}
})
//编号
function setCode(val, row, index) {
	return index + 1;
}

//删除试题
function Delet() {
	$.ajax({
		type: "get",
		url: huayi.config.callcenter_url + "QuestionAnswer/Delete",
		dataType: 'json',
		data: {
			ids: Cids,
			token: token
		},
		async: true,
		success: function(data) {
			if(data.state.toLowerCase() == 'success') {
				$tableLeft.bootstrapTable('refresh');
				layer.msg("删除成功");
			}

		}
	});
}